## r-bioc-complexheatmap 2.4.3+dfsg

=== DESCRIPTION ===
Package: ComplexHeatmap
Type: Package
Title: Make Complex Heatmaps
Version: 2.4.3
Date: 2020-07-25
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.1.2), methods, grid, graphics, stats, grDevices
Imports: circlize (>= 0.4.5), GetoptLong, colorspace, clue,
        RColorBrewer, GlobalOptions (>= 0.1.0), parallel, png
Suggests: testthat (>= 1.0.0), knitr, markdown, dendsort, Cairo, jpeg,
        tiff, fastcluster, dendextend (>= 1.0.1), grImport, grImport2,
        glue, GenomicRanges, gridtext
VignetteBuilder: knitr
Description: Complex heatmaps are efficient to visualize associations 
    between different sources of data sets and reveal potential patterns. 
    Here the ComplexHeatmap package provides a highly flexible way to arrange 
    multiple heatmaps and supports various annotation graphics.
biocViews: Software, Visualization, Sequencing
URL: https://github.com/jokergoo/ComplexHeatmap,
        https://jokergoo.github.io/ComplexHeatmap-reference/book/
License: MIT + file LICENSE
git_url: https://git.bioconductor.org/packages/ComplexHeatmap
git_branch: RELEASE_3_11
git_last_commit: 08b4129
git_last_commit_date: 2020-07-25
Date/Publication: 2020-07-25
NeedsCompilation: no
Packaged: 2020-07-25 23:22:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-complexheatmap (2.4.3+dfsg-2) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2020 17:47:41 +0200

r-bioc-complexheatmap (2.4.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931055)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2020 11:28:07 +0200

=== debian/control ===
Source: r-bioc-complexheatmap
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-circlize,
               r-cran-getoptlong,
               r-cran-colorspace,
               r-cran-clue,
               r-cran-rcolorbrewer,
               r-cran-globaloptions,
               r-cran-png
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap.git
Homepage: https://bioconductor.org/packages/ComplexHeatmap/
Rules-Requires-Root: no

Package: r-bioc-complexheatmap
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: make complex heatmaps using GNU R
 Complex heatmaps are efficient to visualize associations
 between different sources of data sets and reveal potential patterns.
 Here the ComplexHeatmap package provides a highly flexible way to arrange
 multiple heatmaps and supports various annotation graphics.

## r-bioc-complexheatmap 2.6.2+dfsg

=== DESCRIPTION ===
Package: ComplexHeatmap
Type: Package
Title: Make Complex Heatmaps
Version: 2.6.2
Date: 2020-11-12
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.1.2), methods, grid, graphics, stats, grDevices
Imports: circlize (>= 0.4.5), GetoptLong, colorspace, clue,
        RColorBrewer, GlobalOptions (>= 0.1.0), parallel, png, Cairo,
        digest, S4Vectors (>= 0.26.1), IRanges, matrixStats
Suggests: testthat (>= 1.0.0), knitr, markdown, dendsort, jpeg, tiff,
        fastcluster, dendextend (>= 1.0.1), grImport, grImport2, glue,
        GenomicRanges, gridtext, pheatmap (>= 1.0.12), shiny
VignetteBuilder: knitr
Description: Complex heatmaps are efficient to visualize associations 
    between different sources of data sets and reveal potential patterns. 
    Here the ComplexHeatmap package provides a highly flexible way to arrange 
    multiple heatmaps and supports various annotation graphics.
biocViews: Software, Visualization, Sequencing
URL: https://github.com/jokergoo/ComplexHeatmap,
        https://jokergoo.github.io/ComplexHeatmap-reference/book/
License: MIT + file LICENSE
git_url: https://git.bioconductor.org/packages/ComplexHeatmap
git_branch: RELEASE_3_12
git_last_commit: 0383bad
git_last_commit_date: 2020-11-11
Date/Publication: 2020-11-12
NeedsCompilation: no
Packaged: 2020-11-12 23:40:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-complexheatmap (2.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Nov 2020 11:12:35 +0100

r-bioc-complexheatmap (2.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Nov 2020 16:11:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,12 @@
                r-cran-clue,
                r-cran-rcolorbrewer,
                r-cran-globaloptions,
-               r-cran-png
+               r-cran-png,
+               r-cran-cairo,
+               r-cran-digest,
+               r-bioc-s4vectors (>= 0.26.1),
+               r-bioc-iranges,
+               r-cran-matrixstats
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.rds" -o -name "*.txt" \) -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, xvfb, xauth, xfonts-base, r-cran-testthat, r-cran-dendextend, r-cran-gridtext, r-bioc-genomicranges
Restrictions: allow-stderr

## r-bioc-complexheatmap 2.10.0%2Bdfsg

=== DESCRIPTION ===
Package: ComplexHeatmap
Type: Package
Title: Make Complex Heatmaps
Version: 2.10.0
Date: 2021-10-17
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.5.0), methods, grid, graphics, stats, grDevices
Imports: circlize (>= 0.4.5), GetoptLong, colorspace, clue,
        RColorBrewer, GlobalOptions (>= 0.1.0), png, digest, IRanges,
        matrixStats, foreach, doParallel
Suggests: testthat (>= 1.0.0), knitr, markdown, dendsort, jpeg, tiff,
        fastcluster, EnrichedHeatmap, dendextend (>= 1.0.1), grImport,
        grImport2, glue, GenomicRanges, gridtext, pheatmap (>= 1.0.12),
        gridGraphics, gplots, rmarkdown, Cairo
VignetteBuilder: knitr
Description: Complex heatmaps are efficient to visualize associations 
    between different sources of data sets and reveal potential patterns. 
    Here the ComplexHeatmap package provides a highly flexible way to arrange 
    multiple heatmaps and supports various annotation graphics.
biocViews: Software, Visualization, Sequencing
URL: https://github.com/jokergoo/ComplexHeatmap,
        https://jokergoo.github.io/ComplexHeatmap-reference/book/
License: MIT + file LICENSE
git_url: https://git.bioconductor.org/packages/ComplexHeatmap
git_branch: RELEASE_3_14
git_last_commit: 170df82
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 21:09:07 UTC; biocbuild

## r-bioc-complexheatmap 2.10.0+dfsg

=== debian/changelog ===
r-bioc-complexheatmap (2.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.10.0+dfsg
  * Run dh-update-R, cme

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 01:21:40 +0530

r-bioc-complexheatmap (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 05 Sep 2021 10:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                r-cran-rcolorbrewer,
                r-cran-globaloptions,
                r-cran-png,
-               r-cran-cairo,
                r-cran-digest,
-               r-bioc-s4vectors (>= 0.26.1),
                r-bioc-iranges,
-               r-cran-matrixstats
-Standards-Version: 4.5.0
+               r-cran-matrixstats,
+               r-cran-foreach,
+               r-cran-doparallel
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap.git
 Homepage: https://bioconductor.org/packages/ComplexHeatmap/

## r-bioc-complexheatmap 2.12.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: ComplexHeatmap
 Type: Package
 Title: Make Complex Heatmaps
-Version: 2.10.0
-Date: 2021-10-17
+Version: 2.12.1
+Date: 2022-08-08
 Author: Zuguang Gu
 Maintainer: Zuguang Gu <z.gu@dkfz.de>
 Depends: R (>= 3.5.0), methods, grid, graphics, stats, grDevices
-Imports: circlize (>= 0.4.5), GetoptLong, colorspace, clue,
+Imports: circlize (>= 0.4.14), GetoptLong, colorspace, clue,
         RColorBrewer, GlobalOptions (>= 0.1.0), png, digest, IRanges,
-        matrixStats, foreach, doParallel
+        matrixStats, foreach, doParallel, codetools
 Suggests: testthat (>= 1.0.0), knitr, markdown, dendsort, jpeg, tiff,
         fastcluster, EnrichedHeatmap, dendextend (>= 1.0.1), grImport,
         grImport2, glue, GenomicRanges, gridtext, pheatmap (>= 1.0.12),
@@ -23,9 +23,9 @@
         https://jokergoo.github.io/ComplexHeatmap-reference/book/
 License: MIT + file LICENSE
 git_url: https://git.bioconductor.org/packages/ComplexHeatmap
-git_branch: RELEASE_3_14
-git_last_commit: 170df82
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 2c5fe70
+git_last_commit_date: 2022-08-08
+Date/Publication: 2022-08-09
 NeedsCompilation: no
-Packaged: 2021-10-26 21:09:07 UTC; biocbuild
+Packaged: 2022-08-09 20:15:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-complexheatmap (2.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Exclude usage of dendsort in testsuite

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 07:14:02 +0200

r-bioc-complexheatmap (2.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 23:13:56 +0200

## r-bioc-complexheatmap 2.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: ComplexHeatmap
 Type: Package
 Title: Make Complex Heatmaps
-Version: 2.12.1
-Date: 2022-08-08
-Author: Zuguang Gu
-Maintainer: Zuguang Gu <z.gu@dkfz.de>
+Version: 2.14.0
+Date: 2022-10-15
+Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
+                  comment = c('ORCID'="0000-0002-7395-8709"))
 Depends: R (>= 3.5.0), methods, grid, graphics, stats, grDevices
 Imports: circlize (>= 0.4.14), GetoptLong, colorspace, clue,
         RColorBrewer, GlobalOptions (>= 0.1.0), png, digest, IRanges,
@@ -23,9 +23,11 @@
         https://jokergoo.github.io/ComplexHeatmap-reference/book/
 License: MIT + file LICENSE
 git_url: https://git.bioconductor.org/packages/ComplexHeatmap
-git_branch: RELEASE_3_15
-git_last_commit: 2c5fe70
-git_last_commit_date: 2022-08-08
-Date/Publication: 2022-08-09
+git_branch: RELEASE_3_16
+git_last_commit: 57fcaa0
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-08-09 20:15:21 UTC; biocbuild
+Packaged: 2022-11-01 21:12:53 UTC; biocbuild
+Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
+Maintainer: Zuguang Gu <z.gu@dkfz.de>

=== debian/changelog ===
r-bioc-complexheatmap (2.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 21:16:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-circlize,
+               r-cran-circlize (>= 0.4.14),
                r-cran-getoptlong,
                r-cran-colorspace,
                r-cran-clue,
@@ -18,8 +18,9 @@
                r-bioc-iranges,
                r-cran-matrixstats,
                r-cran-foreach,
-               r-cran-doparallel
-Standards-Version: 4.6.0
+               r-cran-doparallel,
+               r-cran-codetools
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap.git
 Homepage: https://bioconductor.org/packages/ComplexHeatmap/

## r-bioc-complexheatmap 2.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ComplexHeatmap
 Type: Package
 Title: Make Complex Heatmaps
-Version: 2.14.0
-Date: 2022-10-15
+Version: 2.16.0
+Date: 2023-04-25
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
 Depends: R (>= 3.5.0), methods, grid, graphics, stats, grDevices
@@ -12,7 +12,7 @@
 Suggests: testthat (>= 1.0.0), knitr, markdown, dendsort, jpeg, tiff,
         fastcluster, EnrichedHeatmap, dendextend (>= 1.0.1), grImport,
         grImport2, glue, GenomicRanges, gridtext, pheatmap (>= 1.0.12),
-        gridGraphics, gplots, rmarkdown, Cairo
+        gridGraphics, gplots, rmarkdown, Cairo, magick
 VignetteBuilder: knitr
 Description: Complex heatmaps are efficient to visualize associations 
     between different sources of data sets and reveal potential patterns. 
@@ -23,11 +23,11 @@
         https://jokergoo.github.io/ComplexHeatmap-reference/book/
 License: MIT + file LICENSE
 git_url: https://git.bioconductor.org/packages/ComplexHeatmap
-git_branch: RELEASE_3_16
-git_last_commit: 57fcaa0
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 01eb55c
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:12:53 UTC; biocbuild
+Packaged: 2023-04-25 20:40:28 UTC; biocbuild
 Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>

=== debian/changelog ===
r-bioc-complexheatmap (2.16.0+dfsg-1) unstable; urgency=medium

  * Build against latest version of r-base
    Closes: #1039636
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 10:38:49 +0200

## r-bioc-complexheatmap 2.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ComplexHeatmap
 Type: Package
 Title: Make Complex Heatmaps
-Version: 2.16.0
+Version: 2.18.0
 Date: 2023-04-25
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
@@ -23,11 +23,11 @@
         https://jokergoo.github.io/ComplexHeatmap-reference/book/
 License: MIT + file LICENSE
 git_url: https://git.bioconductor.org/packages/ComplexHeatmap
-git_branch: RELEASE_3_17
-git_last_commit: 01eb55c
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: d3c15b6
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:40:28 UTC; biocbuild
+Packaged: 2023-10-24 20:46:38 UTC; biocbuild
 Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>

=== debian/changelog ===
r-bioc-complexheatmap (2.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-foreach,
                r-cran-doparallel,
                r-cran-codetools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap.git
 Homepage: https://bioconductor.org/packages/ComplexHeatmap/

## r-bioc-complexheatmap 2.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ComplexHeatmap
 Type: Package
 Title: Make Complex Heatmaps
-Version: 2.18.0
+Version: 2.20.0
 Date: 2023-04-25
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
@@ -23,11 +23,12 @@
         https://jokergoo.github.io/ComplexHeatmap-reference/book/
 License: MIT + file LICENSE
 git_url: https://git.bioconductor.org/packages/ComplexHeatmap
-git_branch: RELEASE_3_18
-git_last_commit: d3c15b6
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: d9e4bb2
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 20:46:38 UTC; biocbuild
+Packaged: 2024-05-01 03:12:48 UTC; biocbuild
 Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>

=== debian/changelog ===
r-bioc-complexheatmap (2.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:21:05 +0200

r-bioc-complexheatmap (2.20.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions
  * debian/patches/no_test_dendsort.patch: removed, dendsort is in the
    archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 15:46:16 +0200

r-bioc-complexheatmap (2.20.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-globaloptions,
                r-cran-png,
                r-cran-digest,
-               r-bioc-iranges,
+               r-bioc-iranges (>= 2.38.1),
                r-cran-matrixstats,
                r-cran-foreach,
                r-cran-doparallel,
@@ -29,7 +29,8 @@
 Package: r-bioc-complexheatmap
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-iranges (>= 2.38.1)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: make complex heatmaps using GNU R

## r-bioc-complexheatmap 2.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ComplexHeatmap
 Type: Package
 Title: Make Complex Heatmaps
-Version: 2.20.0
-Date: 2023-04-25
+Version: 2.22.0
+Date: 2024-09-24
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
 Depends: R (>= 3.5.0), methods, grid, graphics, stats, grDevices
@@ -23,12 +23,12 @@
         https://jokergoo.github.io/ComplexHeatmap-reference/book/
 License: MIT + file LICENSE
 git_url: https://git.bioconductor.org/packages/ComplexHeatmap
-git_branch: RELEASE_3_19
-git_last_commit: d9e4bb2
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: bf351d6
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 03:12:48 UTC; biocbuild
+Packaged: 2024-10-30 00:07:36 UTC; biocbuild
 Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>

=== debian/changelog ===
r-bioc-complexheatmap (2.22.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:13:48 +0100

r-bioc-complexheatmap (2.22.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:28:31 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                r-cran-globaloptions,
                r-cran-png,
                r-cran-digest,
-               r-bioc-iranges (>= 2.38.1),
+               r-bioc-iranges,
                r-cran-matrixstats,
                r-cran-foreach,
                r-cran-doparallel,
                r-cran-codetools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-complexheatmap.git
 Homepage: https://bioconductor.org/packages/ComplexHeatmap/
@@ -29,8 +29,7 @@
 Package: r-bioc-complexheatmap
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-iranges (>= 2.38.1)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: make complex heatmaps using GNU R

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/ComplexHeatmap.html .*/ComplexHeatmap_(.*).tar.gz
